> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.rushorder.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.rushorder.com/_mcp/server.

# List serials in inventory

GET https://dream.rushorder.com/api/serials/inventory

Retrieve a paged list of serial data (containing SKU, dates, and reference numbers) for a given received date interval.

Reference: https://docs.rushorder.com/api-reference/serials/list-in-inventory

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Request

### Query parameters

- `page` (double, optional) — The page number.
- `pageSize` (double, optional) — The amount of items per page.
- `startDate` (datetime, optional) — The earliest possible received date and time.
- `endDate` (datetime, optional) — The latest possible received date and time.

### Headers

- `RushOrderMomCode` (string, required) — All requests require the header to contain RushOrderMomCode, a 3 character string that represents the client internally in Rush Order. This should be given to you by Rush Order.

## Response

### 200

Success

- `PageSize` (double, optional)
- `Page` (double, optional)
- `LastPage` (double, optional)
- `Total` (double, optional)
- `Count` (double, optional)
- `Success` (boolean, optional)
- `Error` (string, optional)
- `Message` (string, optional)
- `Data` (list of SerialList200DataItems, optional)

## Errors

### 401 Unauthorized Error

Access token is missing or invalid

- `any`

## Types

### SerialList200DataItems

- `Serial` (string, optional)
- `Sku` (string, optional)
- `MomCode` (string, optional)
- `Shipped` (SerialList200DataItemsShipped, optional)
- `Inventory` (SerialList200DataItemsInventory, optional)
- `Returned` (SerialList200DataItemsReturned, optional)

### SerialList200DataItemsShipped

- `ShipDate` (string, optional)
- `OrderNum` (double, optional)

### SerialList200DataItemsInventory

- `ReceivedDate` (string, optional)
- `ReceiverNum` (double, optional)

### SerialList200DataItemsReturned

- `ReturnedDate` (string, optional)
- `RmaNum` (double, optional)

## Examples

**Response**

```json
{
  "PageSize": 50,
  "Page": 1,
  "LastPage": 6,
  "Total": 261,
  "Count": 50,
  "Success": true,
  "Error": "string",
  "Message": "string",
  "Data": [
    {
      "Serial": "WPC323123001234",
      "Sku": "1023A0CF",
      "MomCode": "abc",
      "Shipped": {
        "ShipDate": "2022-01-01T12:00:00.00-08:00",
        "OrderNum": 1001
      },
      "Inventory": {
        "ReceivedDate": "2022-01-01T12:00:00.00-08:00",
        "ReceiverNum": 207890
      },
      "Returned": {
        "ReturnedDate": "2022-01-01T12:00:00.00-08:00",
        "RmaNum": 12356
      }
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://dream.rushorder.com/api/serials/inventory"

querystring = {"endDate":"2022-12-31T12:00:00Z","page":"1","pageSize":"50","startDate":"2022-01-01T00:00:00Z"}

headers = {
    "RushOrderMomCode": "ABC"
}

response = requests.get(url, headers=headers, params=querystring, auth=("<username>", "<password>"))

print(response.json())
```

```javascript
const url = 'https://dream.rushorder.com/api/serials/inventory?endDate=2022-12-31T12%3A00%3A00Z&page=1&pageSize=50&startDate=2022-01-01T00%3A00%3A00Z';
const credentials = btoa("<username>:<password>");

const options = {
  method: 'GET',
  headers: {RushOrderMomCode: 'ABC', Authorization: `Basic ${credentials}`}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://dream.rushorder.com/api/serials/inventory?endDate=2022-12-31T12%3A00%3A00Z&page=1&pageSize=50&startDate=2022-01-01T00%3A00%3A00Z"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("RushOrderMomCode", "ABC")
	req.SetBasicAuth("<username>", "<password>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://dream.rushorder.com/api/serials/inventory?endDate=2022-12-31T12%3A00%3A00Z&page=1&pageSize=50&startDate=2022-01-01T00%3A00%3A00Z")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["RushOrderMomCode"] = 'ABC'
request.basic_auth("<username>", "<password>")

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://dream.rushorder.com/api/serials/inventory?endDate=2022-12-31T12%3A00%3A00Z&page=1&pageSize=50&startDate=2022-01-01T00%3A00%3A00Z")
  .header("RushOrderMomCode", "ABC")
  .basicAuth("<username>", "<password>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://dream.rushorder.com/api/serials/inventory?endDate=2022-12-31T12%3A00%3A00Z&page=1&pageSize=50&startDate=2022-01-01T00%3A00%3A00Z', [
  'headers' => [
    'RushOrderMomCode' => 'ABC',
  ],
    'auth' => ['<username>', '<password>'],
]);

echo $response->getBody();
```

```csharp
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://dream.rushorder.com/api/serials/inventory?endDate=2022-12-31T12%3A00%3A00Z&page=1&pageSize=50&startDate=2022-01-01T00%3A00%3A00Z");
client.Authenticator = new HttpBasicAuthenticator("<username>", "<password>");
var request = new RestRequest(Method.GET);
request.AddHeader("RushOrderMomCode", "ABC");

IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let credentials = Data("<username>:<password>".utf8).base64EncodedString()

let headers = [
  "RushOrderMomCode": "ABC",
  "Authorization": "Basic \(credentials)"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://dream.rushorder.com/api/serials/inventory?endDate=2022-12-31T12%3A00%3A00Z&page=1&pageSize=50&startDate=2022-01-01T00%3A00%3A00Z")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```